BizKitHub
DocsAPI ReferenceWorkflow/bff/workflow/add-status
postWorkflowAdmin BFF

/bff/workflow/add-status

Creates a new order workflow status at the end of the specified phase group.

WorkflowpostBffWorkflowAdd-status

Parameters

JSON body

Request body

application/json
labelstringRequired

Display label for the status.

ExampleOdesláno
codestringRequired

Unique status code (slug). If empty, generated from label.

Exampleodeslano
colorstringRequired

Hex color for the status badge.

Example#22c55e
typestringRequired

Workflow phase: new, processing, storno or done.

Exampleprocessing

Response schema

1 status code documented

200Success
successbooleanRequired
Default: true

Response example

application/json
{
  "success": true
}

Request example

POST /bff/workflow/add-status

post
curl -X POST "https://api.bizkithub.com/bff/workflow/add-status" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "label": "Odesláno",
  "code": "odeslano",
  "color": "#22c55e",
  "type": "processing"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key